org.apache.ignite.internal.util.lang

## Interface GridPlainClosure<T,R>

    public interface GridPlainClosure<T,R>

Closure that takes argument, returns result and do not implement `GridPeerDeployAware`.

### Method Summary

Methods
`R` `apply(T arg)`

### Method Detail

#### apply

    R apply(T arg)
            throws IgniteCheckedException

Parameters:
  `arg` - Closure argument.
Returns:
  Closure execution result.
Throws:
  `IgniteCheckedException` - If error occurred.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015